Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.PenJoinStyle

    java.lang.Object
      java.lang.Enum<Qt.PenJoinStyle>
          com.trolltech.qt.core.Qt.PenJoinStyle

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.PenJoinStyle>

Enclosing interface:
  Qt

    public static enum Qt.PenJoinStyle

extends java.lang.Enum<Qt.PenJoinStyle>
implements QtEnumerator

This enum type defines the pen join styles supported by Qt, i.e. which joins between two connected lines can be drawn using `QPainter`.

Qt::BevelJoin | Qt::MiterJoin | Qt::RoundJoin

See Also:
  `QPen`

Enum Constant Summary
`BevelJoin` The triangular notch between the two lines is filled.
`MiterJoin` The outer edges of the lines are extended to meet at an angle, and this area is filled.
`MPenJoinStyle` Internal.
`RoundJoin` A circular arc between the two lines is filled.
`SvgMiterJoin` A miter join corresponding to the definition of a miter join in the SVG 1.2 Tiny specification.

Method Summary
`static Qt.PenJoinStyle` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.PenJoinStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.PenJoinStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MiterJoin

    public static final Qt.PenJoinStyle MiterJoin

  The outer edges of the lines are extended to meet at an angle, and this area is filled.

### BevelJoin

    public static final Qt.PenJoinStyle BevelJoin

  The triangular notch between the two lines is filled.

### RoundJoin

    public static final Qt.PenJoinStyle RoundJoin

  A circular arc between the two lines is filled.

### SvgMiterJoin

    public static final Qt.PenJoinStyle SvgMiterJoin

  A miter join corresponding to the definition of a miter join in the SVG 1.2 Tiny specification.

### MPenJoinStyle

    public static final Qt.PenJoinStyle MPenJoinStyle

  Internal.

Method Detail

### values

    public static final Qt.PenJoinStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.PenJoinStyle c : Qt.PenJoinStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.PenJoinStyle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.PenJoinStyle resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD